drt-tools-nmu-eso(1)

NAME
drt-tools-nmu-eso - Prepare binNMUs to rebuild for outdated Built-Using

SYNOPSIS
drt-tools nmu-eso [--bp] [-s|--suite] [--field] [-v|--verbose]... [-q|--quiet]... [-h|--help]

DESCRIPTION
Prepare binNMUs to rebuild for outdated Built-Using

Collect a list of all packages that refer to `Extra-Source-Only: yes` source packages in their `Built-Using` field. The command also support to check packages where `Static-Built-Using` or `X-Cargo-Built-Using` refers to packages no longer in the archive. The latter is useful to check for rebuilds of Rust and Go packages.

OPTIONS

--bp <BUILD_PRIORITY> [default: -50]
    Build priority

    If specified, the binNMUs are scheduled with the given build priority. Builds with a positive priority will be built earlier.

-s, --suite <SUITE> [default: unstable]
    Suite for binNMUs

--field <FIELD>
    Select the binary package field to check for outdated information

    By default, the `Built-Using` field is checked. Other supported values are `Static-Built-Using` and `X-Cargo-Built-Using`. This option can be specfied multiple times to check several fields at the same time.

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

-h, --help
    Print help (see a summary with '-h')